### Virtual Method

# Gtk TextViewsnapshot_layer

#### Declaration [src]

    void
    snapshot_layer (
      GtkTextView* text_view,
      GtkTextViewLayer layer,
      GtkSnapshot* snapshot
    )

#### Description [src]

The snapshot_layer vfunc is called before and after the text view is drawing its own text. Applications can override this vfunc in a subclass to draw customized content underneath or above the text. In the `GTK_TEXT_VIEW_LAYER_BELOW_TEXT` and `GTK_TEXT_VIEW_LAYER_ABOVE_TEXT` layers the drawing is done in the buffer coordinate space.

#### Parameters

`layer`

  Type: `GtkTextViewLayer`

  No description available.

`snapshot`

  Type: `GtkSnapshot`

  No description available.

  The data is owned by the caller of the function.